> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs-beta.getzep.com/v3/sdk-reference/user/get-user-threads/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs-beta.getzep.com/_mcp/server. # Get User Threads GET https://api.getzep.com/api/v2/users/{userId}/threads Returns all threads for a user. Reference: https://docs-beta.getzep.com/sdk-reference/user/get-user-threads ## Request ### Path parameters - `userId` (string, required) — User ID ## Response ### 200 OK - `list of apidata.Thread` ## Errors ### 500 Internal Server Error Internal Server Error - `message` (string, optional) ## Types ### apidata.Thread - `created_at` (string, optional) - `graph_uuid` (string, optional) — GraphUUID is the graphs.uuid of the owning user's graph (spec-3 section 13.5). - `project_uuid` (string, optional) - `thread_id` (string, optional) - `user_id` (string, optional) - `user_uuid` (string, optional) - `uuid` (string, optional) ## Examples **Response** ```json [ { "created_at": "string", "graph_uuid": "string", "project_uuid": "string", "thread_id": "string", "user_id": "string", "user_uuid": "string", "uuid": "string" } ] ```